Apt : ajout correct d'une clé GPG

Il était inutile de toucher aux dépôts officiels.
Par contre pour ton dépôt spotify, tu aurais pu virer /etc/apt/sources.list.d/03-spotify.list et le remplacer par un /etc/apt/sources.list.d/spotify.sources contenant :

Types: deb
URIs: http://repository.spotify.com
Suites: stable
Components: non-free
Signed-By:
-----BEGIN PGP PUBLIC KEY BLOCK-----

mQINBF9XbJMBEADQ/wu6dd7akoE1PrL6WpARdhoHjt2OU5Uj4H2vy2YWuEB8aaqX
+wjMVAAiyf2jz2gJnXnwqcfjRf9hsw9lNh/4llVLL5gI3E/ZtKcOELsm+50/93zT
Ei3THAGylNMylDeBwAzPKnBjMpW40OKbjnq16IZ+jexkvLWhkf9iA0AvkQQ0lgX2
IBJzE2ab+doE3D92R33mnvNjIKqHRNtwV5M/F1jL1rr/FvOIXcT8txBlen+KP2w9
d1vXYbbx/0ObMbWusGdu/BiA422rpWvzED0jtAucwTEwCb+isoW05mXLvLsjmetF
HDfK/XeTyizNO4w6awdXDTAiBPHeqJ4w5JjoX42VsH38DvW3evXztv/5uLuxNXQK
vDPxaxy/DMNLHv5zJyxxU/weigXX5SGoKVATgFB9oZ/P8y+RTOwZiYrt2NgjI7K3
B6Hd9TkqktpUHHSW/REiPG/z+ZY5FqASoJbiU8/nSqn3MUF+xRzrKwPKZF9ekdoC
4o0JPxvIqIN4KndQiCHMfdtoO/PPMR4izXAfYOT1x1KC9fq9uhcaf9FyjgduIGNR
ttlPrfPyM/FABNUZio8jZL5s+eFMRx1b1HIe80+p8GC3vV/oGJ8gqq0Gbdz6HGbR
TQyX7ey3rowlXkyaGTamgPBy4gHrHMCLdpXd35L7zHZH7nuKGW6n4U3HWwARAQAB
tDdTcG90aWZ5IFB1YmxpYyBSZXBvc2l0b3J5IFNpZ25pbmcgS2V5IDx0dXhAc3Bv
dGlmeS5jb20+iQJUBBMBCgA+FiEEj9PZqNOAAwWp//JZ0XQq1g2BHVgFAl9XbJMC
GwMFCQJRQwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQ0XQq1g2BHVg4VhAA
yOAF7yLRjSNrKAmasZCq4+uHwFotg9Y5eJYyPOTjbjq5/W88cXZIazbyFeWhOY9k
Ltpv4fMISxZddlqlN59dwiygJ7mRFjl4U8FdeF9B+ZSz/u5tpAzffB/Vr0MLkBuK
IDNbGeLf/hZ3aGgrnHfoWDlNudt5hjKpZdiZwkIyBuujd1Cz9bkWZ9m6p2aVO3dF
i3+QTF9Cs2u+i0an5xgIMf3W+xWzGnGCGib6PBL4+Q5nx96JixpFDuNnEDogjQOH
xD1svyGefM9AyXegLIz0iapiM9KMRxOwReZraMVH0d/O86vjj2uB9bkF1snlZWpX
WCEEHw3IjmsJQCb4JLIUpIAwiAQt3hB58uNqbARAECeEstx1vfw3yRfDdPhA5lH7
LEDxYI4OpL5EX9WSzLcEAtv9PI7snrBSeuiS7Hy4q8j4jbMdtczV2BQ8iNOcHBEI
/ocjLrdIRylcITqmsMY/4c7SuvXj79dyutQWrDZU8vP/uA0O7FNf4oNZnIC6W0l3
muhZeun8a7MVU+x7RnkME5VjH+OS5/3IBfxp/U8dBBFpPw1gUQYCjmicCsuoT09E
iYNsp2rx/vs5JJgATd0ri3T5QborulPsN4ODXZBUDdry2QeuHCF91HBDsuF2ks0N
6HC1hKCQCAw+TS00sV5Cg/sPq6SPtOcqq/brX+zIqY0=
=8BS2
-----END PGP PUBLIC KEY BLOCK-----

La clé publique est la copie du contenu de https://download.spotify.com/debian/pubkey_0D811D58.gpg


Correction fonctionnelle :

Types: deb
URIs: http://repository.spotify.com
Suites: stable
Components: non-free
Signed-By: /usr/local/share/keyrings/spotify.gpg

(ajout par PengouinPdt)

2 J'aime

:astonished: On peut faire ça ?

1 J'aime

ça veut pas jouer

sudo apt edit-sources spotify.sources
E: Le type « Types: » est inconnu sur la ligne 1 dans la liste des sources /etc/apt/sources.list.d/spotify.sources.list
E: La liste des sources ne peut être lue.
Impossible de lire /etc/apt/sources.list.d/spotify.sources.list. Faut-il l'éditer à nouveau ? [O/n] n
E: Le type « Types: » est inconnu sur la ligne 1 dans la liste des sources /etc/apt/sources.list.d/spotify.sources.list
E: La liste des sources ne peut être lue.

apt list --installed | grep apt

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

apt-file/stable,stable,testing,testing,unstable,unstable,now 3.2.2 all  [installé]
apt-rdepends/stable,stable,testing,testing,now 1.3.0-7 all  [installé]
apt-utils/testing,unstable,now 2.3.8 amd64  [installé]
apt/testing,unstable,now 2.3.8 amd64  [installé]
laptop-detect/stable,stable,testing,testing,unstable,unstable,now 0.16 all  [installé, automatique]
laptop-mode-tools/stable,stable,testing,testing,unstable,unstable,now 1.74-1.1 all  [installé]
libapt-pkg-perl/testing,unstable,now 0.1.40 amd64  [installé]
libapt-pkg6.0/testing,unstable,now 2.3.8 amd64  [installé, automatique]
libatk-adaptor/stable,testing,unstable,now 2.38.0-1 amd64  [installé]
libraptor2-0/stable,testing,unstable,now 2.0.14-1.2 amd64  [installé, automatique]
python-apt-common/stable,stable,testing,testing,unstable,unstable,now 2.2.1 all  [installé]
python3-apt/stable,testing,unstable,now 2.2.1 amd64  [installé]
synaptic/testing,unstable,now 0.90.2+b1 amd64  [installé]
xserver-xorg-input-synaptics/stable,testing,unstable,now 1.9.1-2 amd64  [installé]

Ton fichier doit s’appeler :
/etc/apt/sources.list.d/spotify.sources
et non :
/etc/apt/sources.list.d/spotify.sources.list

*.list pour le format classique *.sources pour le format format deb822

1 J'aime

c’est le comportement de l’outil
sudo apt edit-sources spotify.sources

man apt dit :

   edit-sources (work-in-progress)
       edit-sources lets you edit your sources.list(5) files in your preferred text editor while also providing basic sanity checks.

Ce n’est pas finalisé. C’est donc a ne pas utiliser du tout avec prudence.

1 J'aime

oui, nativement l’option edit-sources semble ne pas gérer (encore, vu que le travail est en cours) le format deb822 ; il faut l’éditer avec n’importe quel éditeur de texte et le placer dans le répertoire sources.lists.d


le premier post est modifié en tenant compte de la remarque à propos du répertoire local :wink:

1 J'aime

même créer avec gedit

/etc/apt/sources.list.d$ cat spotify.sources
Types: deb
URIs: http://repository.spotify.com
Suites: stable
Components: non-free
Signed-By:
-----BEGIN PGP PUBLIC KEY BLOCK-----

mQINBF9XbJMBEADQ/wu6dd7akoE1PrL6WpARdhoHjt2OU5Uj4H2vy2YWuEB8aaqX
+wjMVAAiyf2jz2gJnXnwqcfjRf9hsw9lNh/4llVLL5gI3E/ZtKcOELsm+50/93zT
Ei3THAGylNMylDeBwAzPKnBjMpW40OKbjnq16IZ+jexkvLWhkf9iA0AvkQQ0lgX2
IBJzE2ab+doE3D92R33mnvNjIKqHRNtwV5M/F1jL1rr/FvOIXcT8txBlen+KP2w9
d1vXYbbx/0ObMbWusGdu/BiA422rpWvzED0jtAucwTEwCb+isoW05mXLvLsjmetF
HDfK/XeTyizNO4w6awdXDTAiBPHeqJ4w5JjoX42VsH38DvW3evXztv/5uLuxNXQK
vDPxaxy/DMNLHv5zJyxxU/weigXX5SGoKVATgFB9oZ/P8y+RTOwZiYrt2NgjI7K3
B6Hd9TkqktpUHHSW/REiPG/z+ZY5FqASoJbiU8/nSqn3MUF+xRzrKwPKZF9ekdoC
4o0JPxvIqIN4KndQiCHMfdtoO/PPMR4izXAfYOT1x1KC9fq9uhcaf9FyjgduIGNR
ttlPrfPyM/FABNUZio8jZL5s+eFMRx1b1HIe80+p8GC3vV/oGJ8gqq0Gbdz6HGbR
TQyX7ey3rowlXkyaGTamgPBy4gHrHMCLdpXd35L7zHZH7nuKGW6n4U3HWwARAQAB
tDdTcG90aWZ5IFB1YmxpYyBSZXBvc2l0b3J5IFNpZ25pbmcgS2V5IDx0dXhAc3Bv
dGlmeS5jb20+iQJUBBMBCgA+FiEEj9PZqNOAAwWp//JZ0XQq1g2BHVgFAl9XbJMC
GwMFCQJRQwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQ0XQq1g2BHVg4VhAA
yOAF7yLRjSNrKAmasZCq4+uHwFotg9Y5eJYyPOTjbjq5/W88cXZIazbyFeWhOY9k
Ltpv4fMISxZddlqlN59dwiygJ7mRFjl4U8FdeF9B+ZSz/u5tpAzffB/Vr0MLkBuK
IDNbGeLf/hZ3aGgrnHfoWDlNudt5hjKpZdiZwkIyBuujd1Cz9bkWZ9m6p2aVO3dF
i3+QTF9Cs2u+i0an5xgIMf3W+xWzGnGCGib6PBL4+Q5nx96JixpFDuNnEDogjQOH
xD1svyGefM9AyXegLIz0iapiM9KMRxOwReZraMVH0d/O86vjj2uB9bkF1snlZWpX
WCEEHw3IjmsJQCb4JLIUpIAwiAQt3hB58uNqbARAECeEstx1vfw3yRfDdPhA5lH7
LEDxYI4OpL5EX9WSzLcEAtv9PI7snrBSeuiS7Hy4q8j4jbMdtczV2BQ8iNOcHBEI
/ocjLrdIRylcITqmsMY/4c7SuvXj79dyutQWrDZU8vP/uA0O7FNf4oNZnIC6W0l3
muhZeun8a7MVU+x7RnkME5VjH+OS5/3IBfxp/U8dBBFpPw1gUQYCjmicCsuoT09E
iYNsp2rx/vs5JJgATd0ri3T5QborulPsN4ODXZBUDdry2QeuHCF91HBDsuF2ks0N
6HC1hKCQCAw+TS00sV5Cg/sPq6SPtOcqq/brX+zIqY0=
=8BS2
-----END PGP PUBLIC KEY BLOCK-----
@debian:/etc/apt/sources.list.d$ sudo apt update
E: Impossible de traiter le fichier /etc/apt/sources.list.d/spotify.sources (1)
E: La liste des sources ne peut être lue.

je suis pas le seul mais c’est resté sans réponse
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=806943

Je suppose que la clé GPG directement dans le fichier sources n’est pas encore gérée par apt :

2 J'aime

Eh, beh, on n’est pas encore « sortie de l’auberge » - pfff ! :stuck_out_tongue:

J’ai remanié la partie 4, sur la gestion du fichier sources en proposant pour le format RFC822 ou pour la manière « historique ».
(ça complique un peu la lecture… il me semble)
Qu’en pensez-vous ?!

11/09/2021 : Pour le projet Lutris :

Types: deb
URIs: http://download.opensuse.org/repositories/home:/strycore/Debian_11/
Suites: /
Architectures: amd64
Components: 
Signed-By: /usr/local/share/keyrings/lutris.gpg

source du projet

14/09/2021 : Pour le projet Mega :

Types: deb
URIs: https://mega.nz/linux/MEGAsync/Debian_11/
Suites: /
Architectures: amd64
Components: 
Signed-By: /usr/local/share/keyrings/mega.gpg

source


⇒ Pour info, le téléchargement d’un binaire deb depuis le site du projet, ou l’installation par le biais de ce fichier sources, installera un fichier megasync.list dans le répertoire /etc/apt/sources.list.d/ afin d’assurer les màj ; il en résultera un conflit entre les deux fichiers provoquant des erreurs W (warning). Il faut en détruire unà vous de décider lequel !

11/09/2021 : Pour le projet Visual Studio Code :

Types: deb
URIs: https://packages.microsoft.com/repos/vscode
Suites: stable
Architectures: amd64
Components: main
Signed-By: /usr/local/share/keyrings/vscode.gpg

Ce dépôt existe aussi pour les architectures : arm64 et armhf.

source

11/09/2021 : Pour le projet Teamviewer :

Types: deb
URIs: https://linux.teamviewer.com/deb
Suites: stable
Architectures: amd64
Components: main
Signed-By: /usr/local/share/keyrings/teamviewer.gpg

source pour la clé GPG


⇒ Pour info, le téléchargement d’un binaire deb depuis le site du projet, ou l’installation par le biais de ce fichier sources, installera un fichier teamviewer.list dans le répertoire /etc/apt/sources.list.d/ afin d’assurer les màj ; il en résultera un conflit entre les deux fichiers provoquant des erreurs W (warning). Il faut en détruire unà vous de décider lequel !

16/09/2021 : Pour certains paquets mis-à-disposition par Google, tel Google-Chrome :

Types: deb
URIs: https://dl.google.com/linux/chrome/deb/
Suites: stable
Architectures: amd64
Components: main
Signed-By: /usr/local/share/keyrings/google.gpg

source


⇒ Pour Google-Earth Pro :

  • nom du fichier sources : /etc/apt/sources.list.d/google-earth.sources
Types: deb
URIs: https://dl.google.com/linux/earth/deb/
Suites: stable
Architectures: amd64
Components: main
Signed-By: /usr/local/share/keyrings/google.gpg

⇒ Pour info, le téléchargement d’un binaire deb depuis le site du projet, ou l’installation par le biais de ce fichier sources, installera un fichier google-chrome.list dans le répertoire /etc/apt/sources.list.d/ afin d’assurer les màj ; il en résultera un conflit entre les deux fichiers provoquant des erreurs W (warning). Il faut en détruire unà vous de décider lequel !
Idem pour tout produit Google…

17/09/2021 : Pour la navigateur web Brave :

Types: deb
URIs: https://brave-browser-apt-release.s3.brave.com/
Suites: stable
Architectures: amd64
Components: main
Signed-By: /usr/local/share/keyrings/brave.gpg

source